function [z] = fo(pho,r)  
%DI LUCA LONGEGA

%FO distribuzione radiale dell'informazione ricavata da un sensore riguardo lo spazio occupato.
%   fo(pho,r) - la funzione prende in ingresso il campione di raggio discreto "pho" e la misura
%   radiale "r", riportata dal sensore. Calcola e traduce in logica fuzzy (codominio [0,1]),
%   come varia la possibilità che una cella all'interno del cono di emissione sia occupata al
%   variare di "pho" relativamente alla distanza da "r".

DeltaR = 0.2;      % intervallo entro il quale una cella viene 
			      % considerata prossima alla misura di raggio r in m
                    
Ko = 1;           % costante della funzione fo

if (pho < (r - DeltaR)) 
    
   z = 0;
   
elseif (pho >= (r + DeltaR))
    
   z = 0;
   
else 
    
   z = Ko*(1 - ((pho - r)/DeltaR)^2);
   
end
